function ecg = func_ECG_processing(ecg)

% % Baseline removal < 0.5 Hz
% b = 0.997781*[1 -2 1];
% a = [1 -1.9955571 0.99556697];

% Baseline removal < 0.05 Hz
b = 0.99977880*[1 -2 1];
a = [1 -1.999555711 0.999555810];

% Noise removal > 100 Hz
h  = fdesign.lowpass('N,F3dB', 5, 100, 1000);
Hd = design(h, 'butter');

for i = 1:12
    ecg(i,:) = filtfilt(b,a, ecg(i,:));
    ecg(i,:) = filtfilt(Hd.sosMatrix,Hd.ScaleValues,ecg(i,:));
end

end